// Scripts permettant les affichages

<!-- Fenêtre avertissement sur effacement -->
function warndel() {
	checkok = confirm('Merci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement agence -->
function warndelage() {
	checkok = confirm('Vous ne pouvez supprimer qu\'une agence non référencée dans une intervention.\nLa suppression d\'une agence entraine le licenciement des techniciens rattachés.\nMerci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'...ou modifiez vos fiches interventions ou techniciens.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement contrat type -->
function warndelco() {
	checkok = confirm('Vous ne pouvez supprimer qu\'un contrat type non déjà référencé dans un contrat client.\nMerci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement catégorie de demandeur -->
function warndelddec() {
	checkok = confirm('Vous ne pouvez supprimer qu\'une catégorie non encore utilisée dans une demande.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement type de demande -->
function warndelddet() {
	checkok = confirm('Vous ne pouvez supprimer qu\'un type non encore utilisé dans une demande.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement technicien -->
function warndeltec() {
	checkok = confirm('Vous ne pouvez supprimer qu\'un technicien non référencé dans une intervention.\nMerci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'...ou modifiez vos fiches interventions.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement opérateur -->
function warndelope() {
	checkok = confirm('Vous ne pouvez supprimer qu\'un opérateur non référencé dans une intervention.\nMerci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'...ou modifiez vos fiches interventions.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre avertissement sur effacement client -->
function warndelcli() {
	checkok = confirm('Vous ne pouvez supprimer qu\'un client non référencé dans une intervention.\nMerci de confirmer la suppression par le bouton \'Supprimer\'.\nSinon, cliquez sur \'Annuler\'...ou modifiez vos fiches interventions.');
	if (checkok == false) 
	{
		history.back();
	}
}

<!-- Fenêtre Message sur impression des listings -->
function warnimplst() {
	checkok = confirm('Merci de confirmer l\'impression.\n(Mettre l\'imprimante en mode paysage)\nPuis fermer cette fenêtre d\'état.');
	if (checkok == true) 
	{
		window.print();
	}
	else
	{
		window.close();
	}
}

<!-- Fenêtre Message sur impression des fiches -->
function warnimpfic() {
	checkok = confirm('Merci de confirmer l\'impression.\n(Mettre l\'imprimante en mode portrait et vérifier le nombre d\'exemplaires)\nPuis fermer cette fenêtre d\'état.');
	if (checkok == true) 
	{
		window.print();
	}
	else
	{
		window.close();
	}
}

<!-- Fenêtre avertissement sur renouvellement de client -->
function warncoclren() {
	alert('Avant d\'envoyer ce nouveau contrat au client, pensez à contrôler :\n\n.Les nouvelles dates de validité\n.Le nouveau matériel concerné\n.Le nouveau prix de vente\n\n...Et en général le détail du nouveau contrat.');
}

<!-- Fenêtre message d'avertissement en fonction du niveau comptable du client -->
<!-- L'affichage et l'action conséquente varient en fonction d'où on appelle   -->
<!-- la fonction (fiche intervention, fiche client)                            -->

function warnedit(niveaucli,source) {
	switch (niveaucli)
	{
		case 1 : 
			alert('Compte client à surveiller');
			break;
		case 2 :
			alert('Client ayant reçu une relance comptable');
			break;
		case 3 :
			if (source == "interv")
			{
				checkok = confirm('Le compte de ce client est bloqué.\nImpossible de mettre la fiche d\'intervention à jour.\nPrendre contact avec le service comptable.');
				history.back();
			}
			if (source == "cont")
			{
				checkok = confirm('Le compte de ce client est bloqué.\nImpossible de mettre la fiche contrat type à jour.\nPrendre contact avec le service comptable.');
				history.back();
			}
			if (source == "client")
			{
				alert('Le compte de ce client est bloqué');
			}
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas de clients pour saisir une intervention -->

function warnnbcli(nbcli,source) {
	switch (nbcli)
	{
		case 0 : 
			if (source == "interv")
			{
				checkok = confirm('Il n\'y a aucun client créé.\nMerci de créer au moins un client avant de saisir une intervention.');
				history.back();
			}
			if (source == "cont")
			{
				checkok = confirm('Il n\'y a aucun client créé.\nMerci de créer au moins un client avant de saisir un contrat type.');
				history.back();
			}
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas de techniciens pour saisir une intervention -->

function warnnbtec(nbtec) {
	switch (nbtec)
	{
		case 0 : 
			checkok = confirm('Il n\'y a aucun technicien actif ou créé.\nMerci de créer au moins un technicien avant de saisir une intervention.');
			history.back();
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas de marque créée pour saisir un relevé -->

function warnnbmarque(nbmarque) {
	switch (nbmarque)
	{
		case 0 : 
			checkok = confirm('Il n\'y a aucune marque de créée.\nMerci de créer au moins une marque avant de saisir un relevé.');
			history.back();
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas de type de licence créée pour saisir un relevé -->

function warnnbtype(nbtype) {
	switch (nbtype)
	{
		case 0 : 
			checkok = confirm('Il n\'y a aucun type de licence de créé.\nMerci de créer au moins un type de licence avant de saisir un relevé.');
			history.back();
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas d'état produit créé pour saisir un relevé -->

function warnnbetat(nbetat) {
	switch (nbetat)
	{
		case 0 : 
			checkok = confirm('Il n\'y a aucun état matériel de créé.\nMerci de créer au moins un état matériel avant de saisir un relevé.');
			history.back();
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas de catégorie produit créée pour saisir un relevé -->

function warnnbpcat(nbpcat) {
	switch (nbpcat)
	{
		case 0 : 
			checkok = confirm('Il n\'y a aucune catégorie matériel de créée.\nMerci de créer au moins une catégorie matériel avant de saisir un relevé.');
			history.back();
			break;
		default :
			break;
	}
}

<!-- Fenêtre message d'avertissement s'il n'y a pas d'agence pour saisir une intervention ou créer un technicien -->

function warnnbage(nbage,source) {
	switch (nbage)
	{
		case 0 : 
			if (source == "interv")
			{
				checkok = confirm('Il n\'y a aucune agence active ou créée.\nMerci de créer au moins une agence avant de saisir une intervention.');
				history.back();
			}
			if (source == "tec")
			{
				checkok = confirm('Il n\'y a aucune agence active ou créée.\nMerci de créer au moins une agence avant de créer un technicien.');
				history.back();
			}
			if (source == "cont")
			{
				checkok = confirm('Il n\'y a aucune agence active ou créée.\nMerci de créer au moins une agence avant de créer un contrat type.');
				history.back();
			}
			break;
		default :
			break;
	}
}

<!-- Fenêtre de saisie complémentaire centrée -->
function fensaisie(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,'fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Fenêtre pour application complémentaire centrée -->
function fenapp(page,nom,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,nom,'top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}
